> For a complete page index, fetch https://developer.close.com/llms.txt # List the predefined metrics used in activity reports GET https://api.close.com/api/v1/report/activity/metrics/ List available metrics that can be used in activity reports. Reference: https://developer.close.com/api/resources/reporting/list-activity-metrics ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "metrics": [ { "description": "The average duration of outbound calls made via the Predictive Dialer.", "key": "calls.outbound.predictive_dialer.avg_duration", "name": "Outbound Calls - Predictive Dialer Average Duration" }, { "description": "The number of lost opportunities created for/assigned to a user.", "key": "opportunities.lost.all.count", "name": "Opportunities - Lost" }, { "description": "The annualized value of won opportunities created for/assigned to a user.", "key": "opportunities.won.all.sum_annualized_value", "name": "Opportunities - Won - Annualized" }, { "description": "The number of all sent emails.", "key": "emails.sent.all.count", "name": "Sent Emails - All Types" }, { "description": "The total duration of regular outbound calls made.", "key": "calls.outbound.regular.sum_duration", "name": "Outbound Calls - Regular Total Duration" }, { "description": "The number of all outbound calls made.", "key": "calls.outbound.all.count", "name": "Outbound Calls - All Types" }, { "description": "The total duration of all outbound calls made.", "key": "calls.outbound.all.sum_duration", "name": "Outbound Calls - Total Duration" }, { "description": "The number of external outbound calls.", "key": "calls.outbound.external.count", "name": "Outbound Calls - External" }, { "description": "The number of regular outbound calls made.", "key": "calls.outbound.regular.count", "name": "Outbound Calls - Regular" }, { "description": "The total duration of inbound calls made.", "key": "calls.inbound.all.sum_duration", "name": "Inbound Calls - Total Duration" }, { "description": "The number of all received SMS messages.", "key": "sms.received.all.count", "name": "Received SMS - All Types" }, { "description": "The average duration of inbound calls made.", "key": "calls.inbound.all.avg_duration", "name": "Inbound Calls - Average Duration" }, { "description": "The number of emails sent by a sequence.", "key": "emails.sent.sequences.count", "name": "Sent Emails - Sequences" }, { "description": "The average duration of outbound calls made via the Power Dialer.", "key": "calls.outbound.power_dialer.avg_duration", "name": "Outbound Calls - Power Dialer Average Duration" }, { "description": "The average duration of all calls made.", "key": "calls.all.all.avg_duration", "name": "All Calls - Average Duration" }, { "description": "The average duration of external outbound calls.", "key": "calls.outbound.external.avg_duration", "name": "Outbound Calls - External Average Duration" }, { "description": "The number of leads created.", "key": "leads.created.all.count", "name": "Created Leads" }, { "description": "The number of won opportunities created for/assigned to a user.", "key": "opportunities.won.all.count", "name": "Opportunities - Won" }, { "description": "The number of outbound calls made via the Power Dialer.", "key": "calls.outbound.power_dialer.count", "name": "Outbound Calls - Power Dialer" }, { "description": "The number of annual won opportunities created for/assigned to a user.", "key": "opportunities.value_won.annual.count", "name": "Opportunities - Won - Annual" }, { "description": "The number of all sent SMS messages.", "key": "sms.sent.all.count", "name": "Sent SMS - All Types" }, { "description": "The number of one-time lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.one_time.count", "name": "Opportunities - Lost - One Time" }, { "description": "The total value of monthly won opportunities created for/assigned to a user.", "key": "opportunities.value_won.monthly.sum_value", "name": "Opportunities - Value Won - Monthly" }, { "description": "The total value of annual lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.annual.sum_value", "name": "Opportunities - Value Lost - Annual" }, { "description": "The number of all incoming emails.", "key": "emails.received.all.count", "name": "Received Emails - All Types" }, { "description": "The leads that have been contacted via a call, email or SMS.", "key": "leads.contacted.all.count", "name": "Contacted Leads" }, { "description": "The number of emails sent by a sequence that have a reply.", "key": "emails.sent.sequences_with_reply.count", "name": "Sent Emails - Sequences with Reply" }, { "description": "The number of inbound calls made.", "key": "calls.inbound.all.count", "name": "Inbound Calls - All Types" }, { "description": "The number of outgoing emails of all types that have been opened by the recipient.", "key": "emails.opened.all.count", "name": "Opened Emails - All Types" }, { "description": "The number of opportunities created by a user.", "key": "opportunities.created.all.count", "name": "Opportunities - Created" }, { "description": "The average duration of regular outbound calls made.", "key": "calls.outbound.regular.avg_duration", "name": "Outbound Calls - Regular Average Duration" }, { "description": "The number of emails sent by a sequence that do not have a reply.", "key": "emails.sent.sequences_without_reply.count", "name": "Sent Emails - Sequences without Reply" }, { "description": "The number of outbound calls made via the Predictive Dialer.", "key": "calls.outbound.predictive_dialer.count", "name": "Outbound Calls - Predictive Dialer" }, { "description": "The annualized value of lost opportunities created for/assigned to a user.", "key": "opportunities.lost.all.sum_annualized_value", "name": "Opportunities - Lost - Annualized" }, { "description": "The number of monthly won opportunities created for/assigned to a user.", "key": "opportunities.value_won.monthly.count", "name": "Opportunities - Won - Monthly" }, { "description": "The number of annual lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.annual.count", "name": "Opportunities - Lost - Annual" }, { "description": "The number of opportunities created for/assigned to a user.", "key": "opportunities.created_for.all.count", "name": "Opportunities - Created For" }, { "description": "The total duration of outbound calls made via the Predictive Dialer.", "key": "calls.outbound.predictive_dialer.sum_duration", "name": "Outbound Calls - Predictive Dialer Total Duration" }, { "description": "The total duration of all calls made.", "key": "calls.all.all.sum_duration", "name": "All Calls - Total Duration" }, { "description": "The number of all calls made.", "key": "calls.all.all.count", "name": "All Calls - All Types" }, { "description": "The number of monthly lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.monthly.count", "name": "Opportunities - Lost - Monthly" }, { "description": "The total duration of outbound calls made via the Power Dialer.", "key": "calls.outbound.power_dialer.sum_duration", "name": "Outbound Calls - Power Dialer Total Duration" }, { "description": "The total value of one-time lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.one_time.sum_value", "name": "Opportunities - Value Lost - One Time" }, { "description": "The average duration of all outbound calls made.", "key": "calls.outbound.all.avg_duration", "name": "Outbound Calls - Average Duration" }, { "description": "The total value of monthly lost opportunities created for/assigned to a user.", "key": "opportunities.value_lost.monthly.sum_value", "name": "Opportunities - Value Lost - Monthly" }, { "description": "The total duration of external outbound calls.", "key": "calls.outbound.external.sum_duration", "name": "Outbound Calls - External Total Duration" }, { "description": "The number of one-time won opportunities created for/assigned to a user.", "key": "opportunities.value_won.one_time.count", "name": "Opportunities - Won - One Time" }, { "description": "The total value of annual won opportunities created for/assigned to a user.", "key": "opportunities.value_won.annual.sum_value", "name": "Opportunities - Value Won - Annual" }, { "description": "The total value of one-time won opportunities created for/assigned to a user.", "key": "opportunities.value_won.one_time.sum_value", "name": "Opportunities - Value Won - One Time" }, { "description": "The number of outgoing emails sent by a sequence that have been opened by the recipient.", "key": "emails.opened.sequences.count", "name": "Opened Emails - Sequences" } ] } ``` **SDK Code** ```python reporting_listActivityMetrics_example import requests url = "https://api.close.com/api/v1/report/activity/metrics/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript reporting_listActivityMetrics_example const url = 'https://api.close.com/api/v1/report/activity/metrics/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go reporting_listActivityMetrics_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/report/activity/metrics/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby reporting_listActivityMetrics_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/report/activity/metrics/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java reporting_listActivityMetrics_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/report/activity/metrics/") .basicAuth("", "") .asString(); ``` ```php reporting_listActivityMetrics_example request('GET', 'https://api.close.com/api/v1/report/activity/metrics/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp reporting_listActivityMetrics_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/report/activity/metrics/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```